Page MenuHomePhabricator

Establish processes for quota increases in Toolforge Kubernetes
Closed, ResolvedPublic

Description

In T246553: "teg" tool needs a higher Services quota to migrate to 2020 Kubernetes cluster we had our first quota increase in the new cluster! This is exciting and also points to the need for a process to evaluate quota increases. It's probably not too hard to just re-use the existing rubric of how we evaluate them for OpenStack.

Event Timeline

Bstorm triaged this task as Medium priority.Mar 1 2020, 9:02 PM
Bstorm created this task.

Also needed a new quota for paws-public for T246519: "paws-public" tool running 2 custom pods on legacy Kubernetes cluster. They required 2 services.

Bstorm added a comment.Mar 4 2020, 4:46 PM

Just a note that I also needed to increase quota for refill-api to launch on the new cluster correctly. It isn't actually webservice-managed. It just looks like it.

bd808 added a comment.Apr 2 2020, 11:42 PM

Mentioned in SAL (#wikimedia-cloud) [2020-04-02T23:41:32Z] <bd808> Increased limits.cpu and requests.cpu to 4 (T245426)

Mentioned in SAL (#wikimedia-cloud) [2020-04-25T22:31:51Z] <bd808> Bumped Service quota from 3 to 5 (T250922, T246592)

@bd808 I just tried to create a milestone like Data-Services (Quota-requests) but for Toolforge to satisfy this task, but I realized I'm not a member of the Toolforge project and it won't let me create milestones. Since you are a member, can you do that, perhaps?

bd808 added a comment.Jun 18 2020, 7:26 PM

@bd808 I just tried to create a milestone like Data-Services (Quota-requests) but for Toolforge to satisfy this task, but I realized I'm not a member of the Toolforge project and it won't let me create milestones. Since you are a member, can you do that, perhaps?

{{done}} at Toolforge (Quota-requests). Making new milestones requires membership in Project-Admins as they are grouped in with the same permissions as creating new top level Phabricator projects. You should now be able to edit the milestone description like you did with the data services version.

https://phabricator.wikimedia.org/project/profile/4834/ I'll slap this version of it on our discussion column!

I also added https://wikitech.wikimedia.org/wiki/Help:Toolforge/Kubernetes#Quotas_and_Resources which will include a link to the process once we are good to go.

Bstorm closed this task as Resolved.Jun 26 2020, 12:25 AM
Bstorm claimed this task.

Added https://wikitech.wikimedia.org/wiki/Portal:Toolforge/Admin/Kubernetes#Quota_management and the link and instructions in the user help page as well.

With the dashboard now on our main kanban board and our weekly meeting, I'm calling this done.